> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ulm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Token Revoke

> Performs [RFC 7009](https://tools.ietf.org/html/rfc7009) token revocation on an OAuth 2.0 Access Token or Refresh Token.
Relying Parties may use this endpoint to revoke tokens issued to them.



## OpenAPI

````yaml /portal/Amdocs_Media-MarketONE-OIDC-Released-resolved.yaml post /revoke
openapi: 3.0.1
info:
  title: Connect OIDC APIs
  description: >-
    APIs that are used to provide, validate and assert user identities for
    Single Sign-On (SSO), and API workloads


    The APIs may be accessed through an active web session within the
    application (i.e. any JavaScript running on the server itself) or through
    authorizing a client application through OIDC or OAuth 2.0.


    The APIs can be accessed via a tenant specific domain.
  version: Draft-Go
servers:
  - url: https://nxt-ulm-pdt.m1amdocs.io/oidc
security: []
tags:
  - name: OIDC
    description: Public user API for OpenId connect specification
paths:
  /revoke:
    post:
      tags:
        - OIDC
      summary: Token Revoke
      description: >-
        Performs [RFC 7009](https://tools.ietf.org/html/rfc7009) token
        revocation on an OAuth 2.0 Access Token or Refresh Token.

        Relying Parties may use this endpoint to revoke tokens issued to them.
      operationId: oidcRevokePost
      parameters:
        - name: token
          in: query
          description: OAuth 2.0 Access Token or Refresh Token
          required: true
          style: form
          explode: true
          schema:
            type: string
          example: 8ae1c0e3hhjfjiif
        - name: client_id
          in: query
          description: OAuth 2.0 client-ID of the Relying Party
          required: true
          style: form
          explode: true
          schema:
            type: string
          example: f3cf62d2-8967-440e-9dfc-c38fab8055e2
        - name: client_secret
          in: query
          description: >-
            OAuth 2.0 client secret of the Relying Party. Not needed for public
            RPs withouot secret.
          required: false
          style: form
          explode: true
          schema:
            type: string
          example: 8ae1c0e3-a70a-4335-86b5-a5aee1399bf0
        - name: token_type_hint
          in: query
          description: (Optional) Ignored.
          required: false
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content: {}
        '400':
          description: Invalid Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenRevokeResponse400'
        '401':
          description: Authentication problem
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenRevokeResponse401'
      security:
        - basic-query-params: []
        - form-urlencoded-params: []
        - basic-authz: []
      externalDocs:
        description: OAuth 2.0 Token Revocation
        url: https://tools.ietf.org/html/rfc7009
components:
  schemas:
    TokenRevokeResponse400:
      type: object
      properties:
        error:
          type: string
          example: invalid_request
          enum:
            - invalid_request
        error_description:
          type: string
          description: Description of the error
          example: Required String parameter 'token' is not present
    TokenRevokeResponse401:
      type: object
      properties:
        error:
          type: string
          example: invalid_client
          enum:
            - invalid_client
        error_description:
          type: string
          description: Description of the error
          example: Bad client credentials
  securitySchemes:
    basic-query-params:
      type: http
      description: Authentication using query parameters
      scheme: basic
    form-urlencoded-params:
      type: http
      description: Authentication using url-encoded post form parameters
      scheme: basic
    basic-authz:
      type: http
      description: Authentication Basic {clientid:secret base64encoded}
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.